Subject: I-D Action: draft-barton-clone-dns-labels-fun-profit-02.txt

From: [email-masked]
Date: Thu, 15 Sep 2011 02:53:20 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Cloning Domain Name System (DNS) Labels for Fun and Profit
	Author(s)       : Douglas Barton
	Filename        : draft-barton-clone-dns-labels-fun-profit-02.txt
	Pages           : 13
	Date            : 2011-09-15

   This document describes a method for making one or more Domain Name
   System (DNS) labels behave in the DNS &quot;as if&quot; they were actually an
   entirely different label.  E.g., the delegee for the example.org zone
   could define bar.example.org to be a CLONE of foo.example.org.  This
   method is designed to meet the needs of those managing
   Internationalized Domain Name (IDN) zones that have been determined
   to be semantically similar, and therefore should be treated &quot;as if&quot;
   they were identical.  This method can also be used more generally to
   handle situations where either CNAME or DNAME Resource Records are
   currently being used.

   A key design goal for the CLONE method is that all of the semantic
   benefits are available by updating only the authoritative servers for
   the zone.  Domain managers who want to support DNSSEC for the CLONEd
   labels/zones may do so with dynamic signing of the CLONEs, or rely on
   users being behind a CLONE-Aware resolving name server.

Foreword

   [RFC Editor, please remove this Section at publication time.
   Thanks.]

   This is my first draft, please be gentle. :) I&#39;m definitely open to
   the possibility that there are better ways to accomplish the concepts
   presented herein.  I&#39;m sure that there are a non-zero number of
   errors in the formatting, references, etc.  Also Sections 2 and 3 may
   be under-specified, unclear, or unworkable.  So please don&#39;t be
   afraid to offer (constructive) criticism.

   TODO:

      Update/add/improve references?

      Add/improve examples?

   Revision History:

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-barton-clone-dns-labels-fun-profit-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-barton-clone-dns-labels-fun-profit-02.txt